### Method

# Dex Object unref

#### Declaration [src]

    void
    dex_unref (
      DexObject* object
    )

#### Description [src]

Releases a reference on the given object, and decreases its reference count by one.

If it was the last reference, the resources associated to the instance are freed.

#### Parameters

`object`

  Type: `DexObject`

  The object to unreference.

  The instance takes ownership of the data, and is responsible for freeing it.